STRIP(1)

NAME
strip - remove unnecessary information from executable files

SYNOPSIS
strip [-d] [-x] file ...

DESCRIPTION
The strip utility deletes the relocation information and symbol table used by assemblers, loaders and debuggers. This significantly decreases the size of the installed binaries and saves disk space.

The options are as follows:

-d  Delete only debugging and empty symbols.

-x  Delete only debugging, compiler identification, and local symbols.

Strip exits 0 on success and 1 if an error occurred.

SEE ALSO
cc(1), ld(1), stab(5)

HISTORY
A strip command appeared in AT&T UNIX.